[0.16.0] Deprecation of some Theia extensions (java, python, ...)

Hi all,

In the latest Theia release we have removed some Theia extensions, that will no longer be published, going forward. The context is that Theia has gained increased compatibility with VS Code extensions, and it no longer made sense to continue to develop and maintain Theia-specific extensions that have an equivalent or better VS Code counterparts.

Removed extensions (See this pull-request for more details: https://github.com/eclipse-theia/theia/pull/6933):

@theia/debug-nodejs
@theia/editorconfig
@theia/java
@theia/java-debug
@theia/merge-conflicts
@theia/python
@theia/textmate-grammars
@theia/tslint
@theia/typescript

We expect that the fact that these extensions were removed will momentarily break some existing Theia-based applications that reference them. To help Theia product developers we have migrated some example applications to use VS Code extensions, that you can use as examples to update your own applications.

Java: https://github.com/theia-ide/theia-apps/tree/master/theia-java-docker

Python: https://github.com/theia-ide/theia-apps/tree/master/theia-python-docker

You can ask questions here if there are issues.

Thanks,

The Theia team

[original thread by Marc Dumais]